Skip to main content

Index Faces

POST 

/api/v1/assets/:asset_id/addons/face_recognition

Analyse, detect, extract, and index faces in an image. The method requires an asset_id in the path parameter to identify the image to analyze. Indexing is asynchronous: a 202 response with an empty body means the request was queued; use Face Index Status to follow it. 409 response indicates that an asset with the provided ID has been already processed.

This API will automatically update Asset metadata for built-in FileSpin field _filespin_fr_count with the count of faces indexed for the asset.

Note: A maximum of 10 faces will be detected and indexed per image.

Request JSON​

This example shows a request payload JSON to process an asset and update the metadata.

{
"disposition": {
"update_metadata": true
}
}
ParameterTypeDescription
dispositionJSON(optional) Indicates how analysed data must be disposed
disposition .update_metadataBooleantrue if Asset Metadata should be updated for FR. FileSpin reserved field _filespin_fr_count will always be added to metadata.

Request​

Responses​

Accepted - indexing queued